TuxoPay Docs
APIAuthentication

Create team API token

There's no need and we discourage using this endpoint if you have manually generated an API Token.

Create a new API token programatically for a specific team. The user must belong to the team.

POST
/auth/token

Request Body

application/jsonRequired
email
Required
string
Format: "email"
password
Required
string
token_name
Required
string
team_id
Required
integer
abilitiesarray<string>
curl -X POST "https://orchestrator.tuxopay.com/api/auth/token" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "[email protected]",
    "password": "password",
    "token_name": "Mobile App",
    "team_id": 1,
    "abilities": [
      "*"
    ]
  }'

Token created successfully

{
  "token": "1|plaintext-token-here",
  "team": {
    "id": 1,
    "name": "My Company"
  },
  "user": {
    "id": 1,
    "name": "John Doe",
    "email": "[email protected]"
  },
  "abilities": [
    "string"
  ]
}